Unable to preselct object for WireCut
@skagli wrote: Hi, I am trying to invoke the WireCut command from a C# program. Before I run the WireCut script, I pre-select the object to be cut and then send the WireCut command (with all necessary...
View ArticleMod function bug?
@Bruce_Quinton wrote: Hello, Unless I'm missing something, it seems the "mod" function is returning bogus results.Discovered this when writing a converter for HSV to RGB. Didn't work with the built in...
View ArticleSplitting all surfaces that cut each other at once
@Jaxx wrote: Pasted image1366x768 191 KB How do I split all these surfaces anywhere they could be split by just one command? Looking for something like "SplitAll..." thank you Posts: 5 Participants: 3...
View ArticleRhino for Mac WIP (5C54w): Python libraries are now in the application bundle
@Alain wrote: Different versions of Rhino running on the same computer may have caused problems because they were sharing and overwriting each other's rhinoscriptsyntax python library. The files are...
View ArticleSet Layer Visibility issue
@Willem wrote: Hi, I found that pythons rhinoscriptsyntax.LayerVisible is doing something wrong when setting sublayers: Pasted image719x156 10.1 KB As you can see, when I turn the layer of manually...
View ArticleAdding a search path in Python editor (Windows Rhino)
@Helvetosaur wrote: Either I'm stupid or the editor is... How do you add a search path in the editor that you can't easily browse to - like a hidden folder? As far as I can tell, no way to add a path...
View ArticlePolyCurve Rebuild
@ZweiP wrote: Hi, I have a problem with rebuilding a Polycurve. It has degree 1 and I would like to interpolate it with a degree 3 curve. But when I rebuild the curve with the same spancount (which is...
View ArticleMacro for Layer state manager
@cosmas wrote: I have been trying to use the following macro to call up a layer state manager configuration, but for some reason it doesn't work: _-layerstatemanager _restore "one" _enter The word...
View ArticleHow to pass guid to UserDataList.Find()?
@clement wrote: Hello all, i am trying to access a user data object found in a Rhino.DocObjects.Custom.UserDataList. I got the user data list and the user data Id as type guid but have no clue how to...
View ArticleView.SetActive Event
@powerpp wrote: I am trying to start some action every time a newly created view (named "Testview" below) is activated. But the event is fired every time any viewport is selected. import Rhino as rc...
View ArticleRhino.RenameLayer does not return new layer name
@krsnadas wrote: According to the docs, RenameLayer returns the name of the new layer if successful. However, the method only returns True or False. I just thought I'd report that here. Posts: 5...
View ArticleXML to Rhino
@RogerD wrote: Hi I have geometric objects created and saved in an xml file from one piece of measurement software and I would like to use Python to parse the xml file so the geometric objects can be...
View ArticleViews from Make 2D
@antoine wrote: Is it possible to group automatically with script the 4 views of make 2d, as 4 different groups? Actually I only find only "one" output of make 2d which include all views ...So my...
View ArticleGet parent InstanceDefinition for a block instance
@JimCarruthers wrote: Hi, Given an object that I know is an instance, how do I get a reference to it's parent block defnition in Rhinocommon? Thanks,Jim Posts: 3 Participants: 2 Read full topic
View ArticleGH python: Error importing ghpythonlib.components
@lemberski wrote: I get this error trying to run the python script from this file (mesh edge finder.gh) (here the discussion): Runtime error (IndexOutOfRangeException): index out of range: 0Traceback:...
View ArticleHow to detect and close the Rhino crash message?
@krsnadas wrote: I run batch renders using a Python script that launches Rhino and then executes the RunScript command to run my Rhinoscript file. During the render process, some .3dm files end up...
View ArticleBlock definition objects
@JimCarruthers wrote: Hi, I'm trying to extract some information from the parent instancedefinition of a blocked curve. I've gotten the block definition, and at least according to ObjectType I was...
View ArticleMoving an instance by swapping the transform
@JimCarruthers wrote: Is there a direct method to do that? Or do I have to calculate the transform to get it from where it is to where I want it? So far I've been deleting the instance and recreating...
View ArticleScript to normalize scale
@smm wrote: Hey lovely helpful forum! I'm just wondering if anyone has come across or written a script to normalize the scale of a set of objects. I'm working on a suite of scripts that remix and...
View ArticleWhy it doesnt show in rhino?
@marjan wrote: Hi every body, I write it in python, it shows any error. but draw any shape in rhino.many thanksmarjan snow.py (1.7 KB) import rhinoscriptsyntax as rs import Rhino def...
View Article